@import "reset.css";
@import "orbit.css";

* {
  box-sizing: border-box;
}

html {
  font-size: 16px;
}

html,
body {
  overflow: hidden;
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
}

body {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  background-color: #100d0f;
  font-family: "Ancizar Sans", sans-serif;
  z-index: 0;
}

/* Base (mobile) */
.landing {
  position: relative;
  width: 26rem;
  height: 53rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  z-index: 2;
}

.landing-grid {
  overflow: visible;
  padding: 5rem 0px;
  width: 100%;
  height: 100%;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(7, 1fr);
  justify-content: center;
  place-items: center;
}

.landing-logo {
  overflow: visible;
  display: flex;
  justify-content: center;
  align-items: center;
  grid-column: 3/5;
  grid-row: 1/3;
}

.landing-title {
  grid-column: 1/2;
  grid-row: 1/5;
}

.landing-verse {
  grid-column: 2/5;
  grid-row: 4/6;
}

.landing-nav {
  grid-column: 1/5;
  grid-row: 5/8;
}

/* ---------- LOGO ---------- */

.logo {
  position: absolute;
  width: 53rem;
  transform: translateX(0);
  z-index: -1;
}

/* ---------- TITLE "OBVIATE" ---------- */
.title-obviate {
  writing-mode: vertical-lr;
  /*transform: rotate(180deg);*/
}

.title-obviate,
.title-link {
  font-family: "Tenor Sans", sans-serif;
  font-size: 5rem;
  font-weight: normal;
  color: #fdf0ea;
  margin: 0;
  letter-spacing: 0.3rem;
  text-decoration: none;
  transition: all 0.25s ease;
}

.title-link:hover {
  text-shadow: 0px 0px 0.2rem #fff3e8;
}

/* ---------- VERSE TEXT ---------- */
.verse {
  text-align: center;
  line-height: 1.2;
  white-space: nowrap;
}

.verse p {
  margin: 0;
  font-size: 1rem;
  white-space: pre;
  color: #fdf0ea;
}

/* ---------- NAVIGATION GRID ---------- */
.nav-grid {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  gap: 0.7rem;
  justify-content: center;
  width: 100%;
}

.nav-item {
  width: 15rem;
}

.nav-button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  border: 1.5px solid #fdf0ea;
  color: #fdf0ea;
  text-decoration: none;
  text-transform: uppercase;
  font-weight: 500;
  letter-spacing: 0.08em;
  background: transparent;
  transition: all 0.25s ease;
  white-space: nowrap;
  border-radius: 0px;
  padding: 0.7rem 1rem;
  font-size: 1.3rem;
}

.nav-button:hover {
  background: rgba(253, 240, 234, 0.08);
  border-color: #fff3e8;
  transform: translateY(-6px);
  box-shadow: -4px 4px 12px rgba(0, 0, 0, 0.2);
}

/* Responsive */
@media (min-width: 760px) {
  html,
  body {
    overflow: unset;
  }
  .landing {
    position: relative;
    width: 100%;
    height: auto;
    max-width: 53rem;
    margin: 8rem 6rem 0px 2rem;
    padding: 2rem 2rem 3rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    z-index: 2;
  }

  .landing-grid {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(7, minmax(1.5rem, auto));
    justify-content: center;
    place-items: center;
  }

  .landing-logo {
    display: flex;
    justify-content: center;
    align-items: center;
    grid-column: 5/7;
    grid-row: 1/2;
  }

  .landing-title {
    grid-column: 1/5;
    grid-row: 1/2;
  }

  .landing-verse {
    grid-column: 5/7;
    grid-row: 5/7;
  }

  .landing-nav {
    grid-column: 2/5;
    grid-row: 4/5;
  }

  /* ---------- LOGO ---------- */

  .logo {
    position: absolute;
    width: 30rem;
    transform: translateX(0);
    z-index: -1;
  }

  /* ---------- TITLE "OBVIATE" ---------- */
  .title-obviate {
    writing-mode: unset;
  }

  .title-obviate,
  .title-link {
    font-family: "Tenor Sans", sans-serif;
    font-size: 6.5rem;
    font-weight: normal;
    color: #fdf0ea;
    margin: 0;
    letter-spacing: 0.3rem;
    text-decoration: none;
    transition: all 0.25s ease;
  }

  .title-link:hover {
    text-shadow: 0px 0px 0.2rem #fff3e8;
  }

  /* ---------- VERSE TEXT ---------- */
  .verse {
    text-align: center;
    line-height: 1.2;
    white-space: nowrap;
  }

  .verse p {
    margin: 0;
    font-size: 1rem;
    white-space: pre;
    color: #fdf0ea;
  }

  /* ---------- NAVIGATION GRID ---------- */
  .nav-grid {
    display: grid;
    grid-template-columns: repeat(2, minmax(10rem, 30rem));
    gap: 1rem;
    justify-content: center;
    width: 100%;
  }

  .nav-item {
    width: 100%;
  }

  .nav-button {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    border: 1.5px solid #fdf0ea;
    color: #fdf0ea;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: 500;
    letter-spacing: 0.08em;
    background: transparent;
    transition: all 0.25s ease;
    white-space: nowrap;
    border-radius: 0px;
    padding: 0.7rem 1rem;
    font-size: 1.3rem;
  }

  .nav-button:hover {
    transform: translateX(6px);
  }
}

@media (min-width: 2560px) {
  html {
    font-size: 36px;
  }
}
